net.sourceforge.pmd.util.filter

## Class AbstractCompoundFilter<T>

- java.lang.Object
- - net.sourceforge.pmd.util.filter.AbstractCompoundFilter<T>

Type Parameters:
  `T` - The underlying type on which the filter applies.

All Implemented Interfaces:
  Filter<T>

Direct Known Subclasses:
  AndFilter, OrFilter

    public abstract class AbstractCompoundFilter<T>
    extends Object
    implements Filter<T>

A base class for Filters which implements behavior using a List of other Filters.

### Field Summary

Fields
`protected List<Filter<T>>` `filters`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompoundFilter()`
`AbstractCompoundFilter(Filter<T>... filters)`

### Method Summary

Methods
`void` `addFilter(Filter<T> filter)`
`List<Filter<T>>` `getFilters()`
`protected abstract String` `getOperator()`
`void` `setFilters(List<Filter<T>> filters)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.util.filter.Filter

`filter`

### Field Detail

#### filters

    protected List<Filter<T>> filters

### Constructor Detail

#### AbstractCompoundFilter

    public AbstractCompoundFilter()

#### AbstractCompoundFilter

    public AbstractCompoundFilter(Filter<T>... filters)

### Method Detail

#### getFilters

    public List<Filter<T>> getFilters()

#### setFilters

    public void setFilters(List<Filter<T>> filters)

#### addFilter

    public void addFilter(Filter<T> filter)

#### getOperator

    protected abstract String getOperator()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`